Bug 438037 - [RFE] Include mpath_prio_hp_sw in device-mapper-multipath
Summary: [RFE] Include mpath_prio_hp_sw in device-mapper-multipath
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath
Version: 4.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Dave Wysochanski
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords:
Depends On: 195685
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-18 19:21 UTC by Bryn M. Reeves
Modified: 2018-10-19 20:06 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-07-24 20:03:12 UTC


Attachments (Terms of Use)
Patch against RHEL4_FC5 sourceware.org cvs tree - applied/built also against the latest rhel4.7 userspace (-30). (4.17 KB, patch)
2008-04-15 14:07 UTC, Dave Wysochanski
no flags Details | Diff
patch to rhel4 spec file (333 bytes, text/x-patch)
2008-04-15 14:54 UTC, Dave Wysochanski
no flags Details
Updated patch that includes "make install" (4.97 KB, text/x-patch)
2008-04-15 15:03 UTC, Dave Wysochanski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0764 normal SHIPPED_LIVE device-mapper-multipath bug fix and enhancement update 2008-07-23 17:17:53 UTC

Description Bryn M. Reeves 2008-03-18 19:21:44 UTC
+++ This bug was initially created as a clone of Bug #434988 +++

Description of problem:
RHEL4.7 is scheduled to support the kernel hardware handler for the HP MSA/HSV
active/passive storage controllers (bug 195685). Upstream multipath-tools now
has a path prioritiser for these arrays as well.

This was merged in this commit:

http://git.kernel.org/gitweb.cgi?p=linux/storage/multipath-tools/.git;a=commit;h=682d66d9fd97cc3b821bfe390c34f6ea5717c14b

    "All paths from a controller with HP Active/Standby firmware
    should really be grouped according to their status; otherwise
    the path switching will not work properly or you can use only
    one path to that array.
    This patch adds a new priority checker 'mpath_hp_sw' which
    will allow these paths to be grouped accordingly."

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.5-24.RHEL4

How reproducible:
100%

Steps to Reproduce:
1. # rpm -ql device-mapper-multipath | grep mpath_prio_hp_sw
  
Actual results:
No path prioritiser for these SANs.

Expected results:
/sbin/mpath_prio_hp_sw

Additional info:

Comment 2 Dave Wysochanski 2008-04-10 14:08:03 UTC
Working on this now.

Comment 3 Dave Wysochanski 2008-04-11 16:14:48 UTC
For some reason my reliable test machine is now sporting a machine check on CPU0
and I cannot get it to boot.  Perhaps it has succumbed to the repeated on-off
power glitches of the lab its in...

Comment 4 Dave Wysochanski 2008-04-15 14:07:24 UTC
Created attachment 302457 [details]
Patch against RHEL4_FC5 sourceware.org cvs tree - applied/built also against the latest rhel4.7 userspace (-30). 

Spec file update to follow (needed for installation of binary).

Comment 6 Dave Wysochanski 2008-04-15 14:54:52 UTC
Created attachment 302466 [details]
patch to rhel4 spec file

I did not actually test this

Comment 7 Dave Wysochanski 2008-04-15 15:03:10 UTC
Created attachment 302469 [details]
Updated patch that includes "make install"

Comment 8 Dave Wysochanski 2008-04-15 15:04:11 UTC
I looked at the spec file and all it does is a "make install" so the patch in #7
should be the full fix.

Comment 11 errata-xmlrpc 2008-07-24 20:03:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0764.html


Note You need to log in before you can comment on or make changes to this bug.